#!/bin/bash

run_from_local_disk=1

local_dir="/tmp/solr-ef"


if [ $run_from_local_disk = "1" ] ; then
  opt_s="-s $local_dir/solr"
  export SOLR_HOME=
  echo "****"
  echo "* Running solr from local disk: $local_dir"
  echo "****"
else 
  opt_s=
fi

for solr_node in $SOLR_NODES ; do
  solr_host=${solr_node%:*}
  solr_port=${solr_node##*:}

  echo "Starting solr cloud node on: $solr_host [port $solr_port]"
  ssh $solr_host solr start -cloud -z $ZOOKEEPER_SERVER -h $solr_host -p $solr_port $opt_s
done
